corda / net.corda.client.jfx.utils / LeftOuterJoinedMap

# LeftOuterJoinedMap

`class LeftOuterJoinedMap<K : Any, A, B, C> : ReadOnlyBackedObservableMapBase<K, C, SimpleObjectProperty<B?>>`

LeftOuterJoinedMap implements a special case of a left outer join where we're matching on primary keys of both tables.

### Constructors

<init> | `LeftOuterJoinedMap(leftTable: ObservableMap<K, out A>, rightTable: ObservableMap<K, out B>, assemble: (K, A, ObservableValue<B?>) -> C)` LeftOuterJoinedMap implements a special case of a left outer join where we're matching on primary keys of both tables.

### Properties

leftTable | `val leftTable: ObservableMap<K, out A>`
rightTable | `val rightTable: ObservableMap<K, out B>`

### Inherited Properties

backingMap | `val backingMap: HashMap<K, Pair<A, B>>`
entries | `open val entries: MutableSet<MutableEntry<K, A>>`
keys | `open val keys: MutableSet<K>`
size | `open val size: Int`
values | `open val values: MutableCollection<A>`

### Inherited Functions

addListener | `open fun addListener(listener: InvalidationListener): Unit`
clear | `open fun clear(): Unit`
isEmpty | `open fun isEmpty(): Boolean`
removeListener | `open fun removeListener(listener: InvalidationListener?): Unit`

### Extension Functions

createMapChange | `fun <A, K> ObservableMap<K, A>.createMapChange(key: K, removedValue: A?, addedValue: A?): Change<K, A>`
getObservableEntries | `fun <K, V> ObservableMap<K, V>.getObservableEntries(): ObservableList<Entry<K, V>>` val nameToPerson: ObservableMap<String, Person> = (..) val people: ObservableList = nameToPerson.getObservableValues()
getObservableValue | `fun <K, V> ObservableMap<K, V>.getObservableValue(key: K): ObservableValue<V?>` val nameToPerson: ObservableMap<String, Person> = (..) val john: ObservableValue<Person?> = nameToPerson.getObservableValue("John")
getObservableValues | `fun <K, V> ObservableMap<K, V>.getObservableValues(): ObservableList<V>` val nameToPerson: ObservableMap<String, Person> = (..) val people: ObservableList = nameToPerson.getObservableValues()